Skip to main content
`Ctrl`+`K`

# scipy.linalg.lapack.cgges

scipy.linalg.lapack.cgges(cselect, a, b[, jobvsl, jobvsr, sort_t, ldvsl, ldvsr, lwork, cselect_extra_args, overwrite_a, overwrite_b]) = <fortran function cgges>

  Wrapper for `cgges`.

  Parameters:
    cselect call-back function
    a input rank-2 array(‘F’) with bounds (lda,n)
    b input rank-2 array(‘F’) with bounds (ldb,n)
  Returns:
    a rank-2 array(‘F’) with bounds (lda,n)
    b rank-2 array(‘F’) with bounds (ldb,n)
    sdim int
    alpha rank-1 array(‘F’) with bounds (n)
    beta rank-1 array(‘F’) with bounds (n)
    vsl rank-2 array(‘F’) with bounds (ldvsl,n)
    vsr rank-2 array(‘F’) with bounds (ldvsr,n)
    work rank-1 array(‘F’) with bounds (MAX(lwork, 1))
    info int
  Other Parameters:
    jobvsl input int, optional

      Default: 1

    jobvsr input int, optional

      Default: 1

    sort_t input int, optional

      Default: 0

    cselect_extra_args input tuple, optional

      Default: ()

    overwrite_a input int, optional

      Default: 0

    overwrite_b input int, optional

      Default: 0

    ldvsl input int, optional

      Default: ((jobvsl==1)?n:1)

    ldvsr input int, optional

      Default: ((jobvsr==1)?n:1)

    lwork input int, optional

      Default: max(2*n,1)

  Notes

  Call-back functions:

      def cselect(alpha,beta): return cselect
      Required arguments:
          alpha : input complex
          beta : input complex
      Return objects:
          cselect : int